import HelloWorld.*;           // The package containing our stubs.
import org.omg.CosNaming.*;  // CORBAClient will use the naming service.
import org.omg.CORBA.*;      // All CORBA applications need these classes.


public class HelloClient
{
  public static void main(String args[])
  {
    try{
      
      // Create and initialize the ORB
      ORB orb = ORB.init(args, null);
      
      // Get the root naming context
      org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
      NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);
      
      // Resolve the object reference in naming
      NameComponent path[] = ncRef.to_name("HelloWorld");
      HelloFactory helloFact = HelloFactoryHelper.narrow(ncRef.resolve(path));

      // Erzeuge Objekte ber Factory
	  int i;
	  Hello hello[] = new Hello[100];
      for (i=0; i<100; i++)
		hello[i] = helloFact.createHello("Name" + i);

      // Rufe Methode fr jedes Objekt auf
      for (i=0; i<100; i++)
   	  	System.out.println(hello[i].sayHello());
  			
    } catch(Exception e) {
        System.out.println("ERROR : " + e);
        e.printStackTrace(System.out);
      }  
      
  }
}


